import java.util.*;

public class Vertex
{
	public String _label;
	public Hashtable <Vertex, LinkedList<Edge>> _edges;
	
	public Vertex(String label)
	{
		this._label = label;
		this._edges = new Hashtable<Vertex, LinkedList<Edge>>();
	}
		
	public void Add_Edge(Vertex adjacent_vertex, Edge incident_edge)
	{
		if (!this._edges.containsKey(adjacent_vertex))
			this._edges.put(adjacent_vertex, new LinkedList<Edge>());
		
		LinkedList<Edge> incident_edges = this._edges.get(adjacent_vertex);
		incident_edges.add(incident_edge);
	}
}
